POST
/
responses
Create a response
curl --request POST \
  --url https://your_salambo_base_url/api/v1/responses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "sal9-active-qa-agent",
  "input": "Summarize what this agent is configured to do.",
  "store": true,
  "background": true
}
'
{
  "id": "<string>",
  "object": "<string>",
  "created_at": 123,
  "model": "<string>",
  "output": [
    {}
  ],
  "background": true,
  "run_id": "<string>",
  "completed_at": 123,
  "error": {
    "message": "<string>",
    "code": "<string>"
  },
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
string
required

Active agent slug returned by GET /models.

input
required
stream
boolean
background
boolean
store
boolean

Must not be false.

previous_response_id
string | null
metadata
object

Response

Response object, or event stream when stream=true.

id
string
required
object
string
required
Allowed value: "response"
created_at
integer
required
model
string
required
status
enum<string>
required
Available options:
queued,
in_progress,
completed,
failed,
cancelled,
incomplete
output
object[]
required
background
boolean
run_id
string
completed_at
integer | null
error
object
metadata
object